=== debian/changelog ===
jome (1.3.0-1) unstable; urgency=medium

  * [54c52ef] New upstream version 1.3.0
  * [822aa8b] Add 'Multi-Arch: foreign' to jome-data

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 23 Apr 2025 11:11:18 -0400

jome (1.2.1-3) unstable; urgency=medium

  * Source upload after NEW queue
  * [e67f42b] Dump standards to 4.7.2, no changes necessary

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 15 Apr 2025 14:17:52 -0400

jome (1.2.1-2) unstable; urgency=medium

  * [c68713f] Add git-buildpackage config
  * [6add90a] Add Salsa-CI config
  * [0e40023] d/copyright: add twemoji license

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 14 Apr 2025 15:08:24 -0400

jome (1.2.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1102489)

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 09 Apr 2025 11:18:30 -0400
