=== debian/control ===
Source: jome
Section: x11
Priority: optional
Maintainer: Michael Jeanson <mjeanson@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake (>= 3.30.0~),
 libboost-dev (>= 1.70.0~),
 nlohmann-json3-dev,
 libfmt-dev,
 qtbase5-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/eepp/jome
Vcs-Git: https://salsa.debian.org/debian/jome.git
Vcs-Browser: https://salsa.debian.org/debian/jome

Package: jome
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, jome-data (= ${source:Version})
Description: keyboard centric emoji picker
 jome (joh·mee) is a keyboard centric emoji picker desktop application.
 .
 jome's purpose is to help you pick an emoji. In other words, it doesn't
 really care what you do with the chosen emoji afterwards: you can
 leverage tools such as xdotool(1) to "type" it or xsel(1) to copy it to
 the clipboard. See jome(1) for a starting point.
 .
 Features:
 .
  * Has all the emojis of up to Emoji 15.1.
  * Skin tone support and optional default skin tone option.
  * Keyboard centric, but you can pick an emoji with the mouse too.
  * Very fast search with multiple terms.
  * Emoji browsing with categories, name, Unicode codepoints, keywords.
  * Dark mode support.
  * Doesn't depend on any font to render; provides all its emoji images.
  * Can print the chosen UTF-8 emoji or the individual codepoints.
  * Can execute a command through the shell with the chosen emoji.
  * Server (background) mode to show the window instantly.
  * "Go to Emojipedia" function for the selected emoji.
  * User-defined emoji keywords in `~/.config/jome`.
  * Can remove VS-16 codepoints.

Package: jome-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: jome data files
 jome (joh·mee) is a keyboard centric emoji picker desktop application.
 .
 jome's purpose is to help you pick an emoji. In other words, it doesn't
 really care what you do with the chosen emoji afterwards: you can
 leverage tools such as xdotool(1) to "type" it or xsel(1) to copy it to
 the clipboard. See jome(1) for a starting point.
 .
 This package provides jome's architecture independent data files. Unless you
 have jome installed, you probably do not need this package.
