=== assets/CMakeLists.txt ===
# Copyright (C) 2019 Philippe Proulx <eepp.ca>
#
# This software may be modified and distributed under the terms
# of the MIT license. See the LICENSE file for details.

install (
    FILES
        cats.json
        emojis-16.png
        emojis-24.png
        emojis-32.png
        emojis-40.png
        emojis-48.png
        emojis.json
        emojis-png-locations-16.json
        emojis-png-locations-24.json
        emojis-png-locations-32.json
        emojis-png-locations-40.json
        emojis-png-locations-48.json
        icon.png
        sel-16.png
        sel-24.png
        sel-32.png
        sel-40.png
        sel-48.png
        sel-dark-16.png
        sel-dark-24.png
        sel-dark-32.png
        sel-dark-40.png
        sel-dark-48.png
    DESTINATION
        share/jome/data
)
