=== man/CMakeLists.txt ===
# Copyright (C) 2025 Philippe Proulx <eepp.ca>
#
# This software may be modified and distributed under the terms
# of the MIT license. See the LICENSE file for details.

install (
    FILES
        jome.1
        jome-ctl.1
    DESTINATION
        share/man/man1
)
