=== debian/changelog ===
jome (1.4.1-1) unstable; urgency=medium

  * [ffec1b0] New upstream version 1.4.1
  * [3f19ac2] d/control: update description

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 08 Aug 2025 11:16:25 -0400
