=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  .
  Features:
  .
-  * Has all the emojis of up to Emoji 15.1.
+  * Has all the emojis of up to Emoji 16.0.
   * Skin tone support and optional default skin tone option.
   * Keyboard centric, but you can pick an emoji with the mouse too.
   * Very fast search with multiple terms.
