=== debian/watch ===
version=4
https://github.com/eepp/jome/tags .*/v?(\d.*)@ARCHIVE_EXT@
